nVidia 10.9.3 web driver modded to skip system check.

Discussion in 'Mac Pro' started by EvilMonk, Jun 24, 2014.

  1. EvilMonk macrumors regular

    EvilMonk

    Joined:
    Aug 28, 2006
    Location:
    Montreal, Canada
    #1
    Hi guys!
    I just wanted to let you know that I modded the latest nVidia web driver for 10.9.3 so it can install on any computers (You need to have 10.9.3 installed or it will create a javascript error).
    Previously the package was looking for Mac Pro 2008, 2009 & 2010. Now it will install on any computers with an nVidia GPU (Even Mac Pro 2006 and 2007 with EFI 32) I just didnt have the chance to test it on EFI32 Mac Pros
    I had the chance to test it on my Retina MacBook Pro 2013 (GT 650m 1Gb), my 2010 13" MacBook Pro (320m 256Mb) and my Mac Pro 12 cores 2010. I obtained some performance gains in Cinebench and the latest Hitman game available on the app store, it is now softer and gives me less stutter.
    You can also access new options in the system preferences that will allow you to select between nVidia's driver (334.01.01f01) or Apple's driver (310.10.35f08) with a mouse click and select to enable ECC memory for supported GPUs!
    I hosted the modded driver on Mega. The link is the following https://mega.co.nz/#!s4EQgaTC!dVP4dXsCsUwpvC176Gqk1SfStVNRxnE5DjvOJfxz-QY
    Let me know if you have questions or problems!
    Have a nice day!
     
  2. thomaskc macrumors 6502

    Joined:
    Aug 19, 2010
    #2
    Hi again :)

    any chance of modding the latest web driver for 10.9.4 but for 10.10 dev3 ? It should just be another line or two that has to be added for it to think that it supports 10.10 system ID.

    Anyway, much appreciated! your mod worked like a charm on 10.9.4 on my macbook pro, so missing the drivers now with 10.10
     
  3. Asgorath macrumors 65816

    Joined:
    Mar 30, 2012
    #3
    There is absolutely no way the 10.9.4 drivers will work on 10.10. The NVIDIA drivers are closely tied to the Apple frameworks and kernel extensions that come with the OS, which are basically guaranteed to not be binary compatible across major OS versions like that.
     
  4. thomaskc macrumors 6502

    Joined:
    Aug 19, 2010

Share This Page